Skip to main content
`Ctrl`+`K`

# PetscLogHandlerEventDeactivatePop

Undo temporary deactivation a logging event for a log handler

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscLogHandlerEventDeactivatePop(PetscLogHandler handler, PetscLogStage stage, PetscLogEvent event)

Not collective

## Input Parameters

- handler - a `PetscLogHandler`

- stage - a `PetscLogStage` (or `PETSC_DEFAULT` for the current stage)

- event - a `PetscLogEvent`

## Note

The default log handler `PETSCLOGHANDLERDEFAULT` implements this function, but others generally do not. You can use `PetscLogEventDeactivatePop()` to call this function for the default log handler that is connected to the global logging state (`PetscLogGetState()`).

## See Also

Profiling, `PetscLogHandlerEventDeactivatePush()`

## Level

developer

## Location

src/sys/logging/handler/interface/loghandler.c

## Implementations

PetscLogHandlerEventDeactivatePop_Default() in src/sys/logging/handler/impls/default/logdefault.c

Index of all Log routines
Table of Contents for all manual pages
Index of all manual pages